> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zype.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Channel

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Playout Scheduler",
    "description": "",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "paths": {
    "/scheduler/v1/channels/{id}": {
      "put": {
        "summary": "Update Channel",
        "description": "",
        "tags": [
          "Channels"
        ],
        "operationId": "updateChannel",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of Channel"
          }
        ],
        "x-codegen-request-body-name": "channel",
        "requestBody": {
          "description": "",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "title": "ChannelRequestWithLiveSources",
                "type": "object",
                "required": [
                  "channel"
                ],
                "properties": {
                  "channel": {
                    "type": "object",
                    "title": "ChannelPropertiesWithLiveSources",
                    "required": [
                      "title",
                      "startAt"
                    ],
                    "properties": {
                      "title": {
                        "type": "string"
                      },
                      "fallbackSlateId": {
                        "type": "string"
                      },
                      "startAt": {
                        "type": "string",
                        "description": "Setting the Start At date & time will make the channel live at the selected date & time. You can select a date/time at least 30 minutes into the future."
                      },
                      "stopAt": {
                        "type": "string",
                        "description": "Setting the Stop At date & time will stop stop the channel at the selected date & time. You can select a date/time at least 30 minutes into the future."
                      },
                      "midRollAdsEnabled": {
                        "type": "boolean",
                        "description": "Automatically insert mid-roll ads"
                      },
                      "adPodSlate": {
                        "type": "string",
                        "description": "Default ad slate. Ads will be inserted at video-level ad timings when dragging a video into the timeline."
                      },
                      "highAvailabilityEnabled": {
                        "type": "boolean",
                        "default": false,
                        "description": "Enables high availability feature"
                      },
                      "liveInputSources": {
                        "type": "array",
                        "items": {
                          "$ref": "#/paths/~1scheduler~1v1~1channels/post/responses/201/content/application~1json/schema/properties/liveInputSources"
                        }
                      },
                      "channelSetting": {
                        "type": "object",
                        "title": "ChannelSetting",
                        "properties": {
                          "staticOverlayEnabled": {
                            "type": "boolean",
                            "default": false,
                            "description": "Enables static overlay feature"
                          },
                          "hideOverlayDuringAds": {
                            "type": "boolean",
                            "default": false,
                            "description": "Hides the static overlay during Ad slates"
                          },
                          "priorityTrackGraphicsEnabled": {
                            "type": "boolean",
                            "default": true,
                            "description": "If true, graphics will apply for videos on the priority track"
                          },
                          "customDynamicReplacementsEnabled": {
                            "type": "boolean",
                            "default": true,
                            "description": "Enables custom dynamic replacements feature"
                          },
                          "customDynamicReplacements": {
                            "type": "array",
                            "description": "Custom attributes to fetch from video's metadata",
                            "items": {
                              "type": "string"
                            }
                          },
                          "scteMidrollIdMatchEnabled": {
                            "type": "boolean",
                            "default": true,
                            "description": "When enabled, the Id inserted into the SCTE ad markers during a mid-roll will be the same Id of the video asset"
                          },
                          "scteMessageFormat": {
                            "type": "string",
                            "description": "Applying to live inputs, the selected format will be the expected SCTE tags format sent from the input source to Playout live inputs",
                            "enum": [
                              "SPLICE_INSERT",
                              "TIME_SIGNAL"
                            ]
                          },
                          "availabilityCountries": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            },
                            "description": "This setting is required by some destinations for determining where content should be available. This is a metadata-only field and does not restrict the playback of content by region."
                          },
                          "nielsenPcmToId3Tagging": {
                            "type": "boolean",
                            "description": "When enabled, the PCM audio will be converted to ID3 tags for Nielsen reporting"
                          },
                          "nielsenDistributorId": {
                            "type": "string",
                            "description": "The Nielsen distributor ID. Will be used to report Nielsen metrics to the Nielsen distributor only when nielsenPcmToId3Tagging is true."
                          }
                        }
                      },
                      "channelCaptionSetting": {
                        "type": "object",
                        "title": "ChannelCaptionSetting",
                        "properties": {
                          "sourceType": {
                            "type": "string",
                            "enum": [
                              "Teletext",
                              "Embedded"
                            ]
                          },
                          "languageCode": {
                            "type": "string"
                          },
                          "pageNumber": {
                            "type": "string"
                          },
                          "outputDescription": {
                            "type": "object",
                            "title": "ChannelCaptionSetting",
                            "properties": {
                              "name": {
                                "type": "string"
                              },
                              "languageCode": {
                                "type": "string"
                              },
                              "languageDescription": {
                                "type": "string"
                              },
                              "captionSettings": {
                                "type": "string",
                                "enum": [
                                  "Embedded",
                                  "WebVtt"
                                ]
                              }
                            }
                          }
                        }
                      },
                      "automatedGraphicInsertions": {
                        "type": "array",
                        "items": {
                          "required": [
                            "assetTypes",
                            "duration",
                            "graphicAssetId",
                            "type"
                          ],
                          "properties": {
                            "assetTypes": {
                              "type": "array",
                              "enum": [
                                "video",
                                "block",
                                "playlist"
                              ],
                              "description": "Determines the asset type to which the graphic will play. At least one is required."
                            },
                            "duration": {
                              "type": "number",
                              "description": "Determines the duration that the graphic is visible."
                            },
                            "delay": {
                              "type": "number",
                              "default": 0,
                              "description": "For Intro, determines the delay from when the asset starts to when the graphic starts. For Exit, determines the padding at the end of the video where there will be no graphics"
                            },
                            "graphicAssetId": {
                              "type": "string",
                              "description": "The Id of the graphic to play on top of the selected asset."
                            }
                          }
                        }
                      },
                      "staticOverlay": {
                        "$ref": "#/paths/~1scheduler~1v1~1channels/post/responses/201/content/application~1json/schema/properties/staticOverlay"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v1~1channels~1%7Bid%7D/get/responses/200/content/application~1json/schema"
                }
              }
            }
          },
          "404": {
            "description": "Channel id not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v2~1uploads/post/responses/404/content/application~1json/schema"
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v1~1types/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "X-API-Key",
        "in": "header"
      }
    }
  }
}
```